#ifndef __SOUND_H__
#define __SOUND_H__

#define MAXVOL 245

enum {
    SOUND_CH0,
    SOUND_CH1,
    SOUND_CH2,
    SOUND_CH3,
    SOUND_CH4,
    SOUND_CHMIX,
};


extern void StopSoundCh(uint8_t PMIS_CH);
extern void KeepOnSoundCh(uint8_t PMIS_CH);
extern void SoundVolChange(uint8_t PMIS_CH, uint32_t volume);
extern void StartDMASoundPlay(uint8_t PMIS_CH,uint32_t Sound_Addr,uint32_t len);
extern void ClearSoundPlayingBuff(uint8_t channel);
extern void BSP_SOUND_Init(void);     
extern void Change_FadeIn(unsigned char PMIS_CH,unsigned char fadeInTime);//add@20190817
extern void Change_FadeOut(unsigned char PMIS_CH,unsigned char fadeOutTime);//add@20190817

extern __irq __arm void  intrirq_isr_irq199(void);
extern __irq __arm void  intrirq_isr_irq200(void);
extern __irq __arm void  intrirq_isr_irq201(void);
extern __irq __arm void  intrirq_isr_irq202(void);
#endif /* __SOUND_H__ */
    
    
    
    
    
    
